"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Brand = void 0;
var _react = _interopRequireWildcard(require("react"));
var _appAdmin = require("@webiny/app-admin");
var _reactRouter = require("@webiny/react-router");
var _webinyLogo = require("./webiny-logo.svg");
var _Navigation = require("../Navigation");
var BrandImpl = function BrandImpl() {
  return function BrandRenderer() {
    var _useTags = (0, _appAdmin.useTags)(),
      location = _useTags.location;
    var _useNavigation = (0, _Navigation.useNavigation)(),
      setVisible = _useNavigation.setVisible;
    var inApp = ["appBar", "navigation"].includes(String(location));
    var onClick = (0, _react.useCallback)(function () {
      location === "navigation" ? setVisible(false) : null;
    }, []);
    if (!inApp) {
      return /*#__PURE__*/_react.default.createElement(_appAdmin.Logo, null);
    }
    return /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
      to: "/",
      onClick: onClick
    }, /*#__PURE__*/_react.default.createElement(_appAdmin.Logo, null));
  };
};
var WebinyLogo = function WebinyLogo() {
  var _useTags2 = (0, _appAdmin.useTags)(),
    location = _useTags2.location;
  var isLoginScreen = location === "loginScreen";
  var isAppBar = location === "appBar";
  var isInstaller = location === "installer";
  var inApp = !isInstaller && !isLoginScreen;
  var color = isAppBar ? "white" : "var(--mdc-theme-primary)";
  return /*#__PURE__*/_react.default.createElement(_webinyLogo.ReactComponent, {
    style: {
      width: !inApp ? 125 : 100,
      height: !inApp ? "auto" : 30,
      paddingLeft: !inApp ? 0 : 20,
      color: color
    }
  });
};
var Brand = function Brand() {
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_appAdmin.Compose, {
    component: _appAdmin.BrandRenderer,
    with: BrandImpl
  }), /*#__PURE__*/_react.default.createElement(_appAdmin.AddLogo, {
    logo: /*#__PURE__*/_react.default.createElement(WebinyLogo, null)
  }));
};
exports.Brand = Brand;

//# sourceMappingURL=index.js.map