"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _emotion = require("emotion");
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _reactRouter = require("@webiny/react-router");
var _SimpleForm = require("@webiny/app-admin/components/SimpleForm");
var _useSecurity2 = require("@webiny/app-security/hooks/useSecurity");
var _plugins = require("@webiny/plugins");
var _Typography = require("@webiny/ui/Typography");
var _Grid = require("@webiny/ui/Grid");
var _Elevation = require("@webiny/ui/Elevation");
var _youtube = require("./icons/youtube.svg");
var _github = require("./icons/github.svg");
var _slack = require("./icons/slack.svg");
var _twitter = require("./icons/twitter.svg");
var _textbook = require("./icons/textbook.svg");
var _laptop = require("./icons/laptop.svg");
// Icons

var linkStyle = /*#__PURE__*/(0, _emotion.css)({
  textDecoration: "none",
  "&:hover": {
    textDecoration: "none"
  },
  color: "var(--mdc-theme-text-primary-on-background)"
}, "label:linkStyle;");
var imageStyle = /*#__PURE__*/(0, _emotion.css)({
  width: "30px",
  height: "30px",
  marginBottom: "5px"
}, "label:imageStyle;");
var communityStyle = /*#__PURE__*/(0, _emotion.css)({
  textAlign: "left"
}, "label:communityStyle;");
var widgetTitleStyle = /*#__PURE__*/(0, _emotion.css)({
  fontWeight: 600,
  paddingTop: "1rem",
  paddingBottom: "1rem",
  textAlign: "center"
}, "label:widgetTitleStyle;");
var widgetDescriptionStyle = /*#__PURE__*/(0, _emotion.css)({
  textAlign: "center",
  paddingLeft: "20px",
  paddingRight: "20px"
}, "label:widgetDescriptionStyle;");
var iconTextStyle = /*#__PURE__*/(0, _emotion.css)({
  textAlign: "center"
}, "label:iconTextStyle;");
var pFormContentStyle = /*#__PURE__*/(0, _emotion.css)({
  fontWeight: 600
}, "label:pFormContentStyle;");
var pGetStartedStyle = /*#__PURE__*/(0, _emotion.css)({
  paddingLeft: "1.5rem",
  paddingTop: "1.5rem"
}, "label:pGetStartedStyle;");
var footerContainerStyle = /*#__PURE__*/(0, _emotion.css)({
  display: "flex",
  padding: "1rem"
}, "label:footerContainerStyle;");
var widgetButtonStyle = /*#__PURE__*/(0, _emotion.css)("text-align:center;margin-top:auto;label:widgetButtonStyle;");
var footerTextStyle = /*#__PURE__*/(0, _emotion.css)({
  backgroundColor: "var(--mdc-theme-on-background)",
  margin: "1rem"
}, "label:footerTextStyle;");
var footerLinkTextStyle = /*#__PURE__*/(0, _emotion.css)({
  fontWeight: 600,
  paddingLeft: "1rem"
}, "label:footerLinkTextStyle;");
var ContentTheme = /*#__PURE__*/(0, _styled.default)("div", {
  target: "e3tmptz0",
  label: "ContentTheme"
})({
  color: "var(--mdc-theme-text-primary-on-background)"
});
var Widget = /*#__PURE__*/(0, _styled.default)("div", {
  label: "Widget",
  target: "e3tmptz1"
})("margin-left:1.5rem;margin-right:1.5rem;margin-bottom:2rem;flex:1 1 21%;max-width:25%;min-height:250px;");
var WelcomeScreenWidgetsWrapper = /*#__PURE__*/(0, _styled.default)("div", {
  label: "WelcomeScreenWidgetsWrapper",
  target: "e3tmptz2"
})("display:flex;flex-wrap:wrap;justify-content:center;@media (max-width:479px){flex-direction:column;}");
var elevation = /*#__PURE__*/(0, _emotion.css)("padding:10px;height:calc(100% - 20px);display:flex;flex-direction:column;label:elevation;");
var Welcome = function Welcome() {
  var _useSecurity = (0, _useSecurity2.useSecurity)(),
    identity = _useSecurity.identity,
    getPermission = _useSecurity.getPermission;
  if (!identity) {
    return null;
  }
  var widgets = _plugins.plugins.byType("admin-welcome-screen-widget").filter(function (pl) {
    if (pl.permission) {
      return getPermission(pl.permission);
    }
    return true;
  });
  var canSeeAnyWidget = widgets.length > 0;
  return /*#__PURE__*/_react.default.createElement(_SimpleForm.SimpleForm, null, /*#__PURE__*/_react.default.createElement(_SimpleForm.SimpleFormHeader, {
    title: "Hi ".concat(identity.displayName, "!")
  }), /*#__PURE__*/_react.default.createElement(_SimpleForm.SimpleFormContent, null, /*#__PURE__*/_react.default.createElement(ContentTheme, null, /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 12
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "headline6"
  }, canSeeAnyWidget && /*#__PURE__*/_react.default.createElement("p", {
    className: pGetStartedStyle
  }, "To get started - pick one of the actions below:"), !canSeeAnyWidget && /*#__PURE__*/_react.default.createElement("p", {
    className: pGetStartedStyle
  }, "Please contact the administrator for permissions to access Webiny apps."), /*#__PURE__*/_react.default.createElement("br", null))), /*#__PURE__*/_react.default.createElement(WelcomeScreenWidgetsWrapper, null, widgets.map(function (pl) {
    return /*#__PURE__*/_react.default.createElement(Widget, {
      key: pl.name,
      "data-testid": pl.name
    }, /*#__PURE__*/_react.default.createElement(_Elevation.Elevation, {
      z: 2,
      className: elevation
    }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
      use: "headline6"
    }, /*#__PURE__*/_react.default.createElement("p", {
      className: widgetTitleStyle
    }, pl.widget.title)), /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
      use: "body1"
    }, /*#__PURE__*/_react.default.createElement("p", {
      className: widgetDescriptionStyle
    }, pl.widget.description)), /*#__PURE__*/_react.default.createElement("div", {
      className: widgetButtonStyle
    }, pl.widget.cta)));
  })))), /*#__PURE__*/_react.default.createElement(_SimpleForm.SimpleFormFooter, null, /*#__PURE__*/_react.default.createElement(_Grid.Grid, null, /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 8
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "headline6",
    className: communityStyle
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: pFormContentStyle
  }, "Learn more about Webiny:"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 4,
    style: {
      marginLeft: "1rem"
    }
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "headline6",
    className: communityStyle
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: pFormContentStyle
  }, "Join our community:"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 8
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "body1",
    className: communityStyle
  }, /*#__PURE__*/_react.default.createElement("p", null, "Explore the Webiny documentation, learn about the architecture and check out code examples and guides:"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 4,
    style: {
      marginLeft: "1rem"
    }
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "body1",
    className: communityStyle
  }, /*#__PURE__*/_react.default.createElement("p", null, "Get to know Webiny team members, discuss new ideas and get help:"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 4,
    className: footerTextStyle,
    style: {
      margin: "1rem 1rem 1rem 0rem"
    }
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://www.webiny.com/docs",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "headline5"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: footerContainerStyle
  }, /*#__PURE__*/_react.default.createElement(_textbook.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", {
    className: footerLinkTextStyle
  }, "Documentation"))))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 4,
    className: footerTextStyle,
    style: {
      margin: "1rem 1rem 1rem 9px",
      visibility: "hidden"
    }
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://github.com/webiny/webiny-examples",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_Typography.Typography, {
    use: "headline5"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: footerContainerStyle
  }, /*#__PURE__*/_react.default.createElement(_laptop.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", {
    className: footerLinkTextStyle
  }, "Code examples"))))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 1,
    className: iconTextStyle,
    align: "middle"
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://github.com/webiny/webiny-js",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_github.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", null, "Github"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 1,
    className: iconTextStyle,
    align: "middle"
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://www.webiny.com/slack/",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_slack.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", null, "Slack"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 1,
    className: iconTextStyle,
    align: "middle"
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://youtube.com/webiny",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_youtube.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", null, "YouTube"))), /*#__PURE__*/_react.default.createElement(_Grid.Cell, {
    span: 1,
    className: iconTextStyle,
    align: "middle"
  }, /*#__PURE__*/_react.default.createElement(_reactRouter.Link, {
    to: "https://twitter.com/WebinyCMS",
    className: linkStyle,
    target: "_blank",
    rel: "noopener noreferrer"
  }, /*#__PURE__*/_react.default.createElement(_twitter.ReactComponent, {
    className: imageStyle
  }), /*#__PURE__*/_react.default.createElement("p", null, "Twitter"))))));
};
var _default = Welcome;
exports.default = _default;

//# sourceMappingURL=Welcome.js.map